using Microsoft.AspNetCore.Builder;

namespace DocuMed.Repository;
public static class RepositoryConfig
{
    public static async Task InitialDb(this IApplicationBuilder app)
    {
        var scopeFactory = app.ApplicationServices.GetRequiredService<IServiceScopeFactory>();
        using (var scope = scopeFactory.CreateScope())
        {
            var identityDbInitialize = scope.ServiceProvider.GetService<IDbInitializerService>();
            if (identityDbInitialize != null)
            {
                identityDbInitialize.Initialize();
                await identityDbInitialize.SeedDate();
            }
        }
    }
}